Android Requirements

LANnouncer requires SDK 21, which means Lollipop, Android 5.0, or above. This isn’t capricious; because I’ve updated all of my devices and because I initially wasn’t even considering publishing this (it was just to solve an annoyance), I used Android methods supported by my devices. Specifically, the AudioAttributes.Builder class, added in SDK 21.

For reliable operation, your Android device should have “Keep Wi-Fi On During Sleep” in the Settings – WiFi for the device enabled, and should have a static rather than dynamic/DHCP address.